ZigPluginSafe

Description

NOTE: ZIGPLUGINSAFE REQUIRES PHP 5.3!

This plugin allows the administrator who installed and first activated it to prevent other users (even administrators) from editing, deactivating or deleting plugins.

All selected plugins have their deactivate and delete links removed on the Plugins page. In addition, EVERY plugin has its edit link removed, if it has one.

Please note that if another administrator has access to the database, they could manually change the plugin’s settings. However, the purpose of this plugin is to discourage a developer’s non-technical clients from disabling plugins themselves even if they insist on having an admin account, and it should be proof enough against that.

For further information and support, please visit the ZigPluginSafe home page. Support will ONLY be provided in response to comments posted on that page.

Installation

  1. Go to Admin > Plugins > Add New and enter ZigPluginSafe in the search box.
  2. Follow the prompts to install and activate the plugin.

FAQ

Ask a question on the plugin’s home page!

Reviews

Read all 1 review

Contributors & Developers

“ZigPluginSafe” is open source software. The following people have contributed to this plugin.

Contributors

Changelog

0.1.4

  • Confirmed compatibility with WordPress 4.7

0.1.3

  • Confirmed compatibility with WordPress 4.6.1

0.1.2

  • Confirmed compatibility with WordPress 4.5.3

0.1.1

  • Confirmed compatibility with WordPress 4.4

0.1

  • First published version